Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003961 [DCSS] Bug Report minor always 2011-05-12 15:34 2013-04-28 21:56
Reporter Napkin View Status public  
Assigned To edlothiol
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0003961: Keys are being ignored
Description Chrome 11 (Windows) does not send keys to the crawl process, which are generated with the AltGr key (for example german keyboard: {[]}\@~).

Chrome 10 (Linux), Firefox 4 (Windows & Linux) and Opera 11 (Linux) handle this fine.
Additional Information
Tags patch, webtiles
Attached Files ? file icon 0001-Fix-WebTiles-handling-of-keys-made-with-AltGr.patch [^] (1,362 bytes) 2013-04-28 13:28 [Show Content]

- Relationships

-  Notes
(0013064)
Napkin (administrator)
2011-05-13 08:36

Arg - Chrome always intercepts ctrl+w and closes the tab! Firefox has no problem passing it through.
(0013070)
edlothiol (developer)
2011-05-13 20:52

I'm not sure what to do about that -- Chrome simply doesn't send events for ctrl+W.
(0017165)
sydd (reporter)
2012-02-28 22:26

This issue persists in the latest version (0.10) too, making the game unplayable in Webkit-based browsers with non english layout keyboards.
(0022464)
sydd (reporter)
2013-04-26 22:09

Please fix this issue. Currently the webtiles is almost unplayable for people with non-english keyboard layouts:
- Keys like <,>,@ do not work in Chrome and IE.
- The game is horribly slow in Firefox, when water/lava is visible.
- in Opera you cant get past the lobby.
(0022479)
Medar (developer)
2013-04-28 13:29

Attached a patch that should allow AltGr keys to work on Chrome/IE too.
(0022486)
sydd (reporter)
2013-04-28 21:24

Thanks, the patch seems to work

- Issue History
Date Modified Username Field Change
2011-05-12 15:34 Napkin New Issue
2011-05-12 15:35 Napkin Description Updated
2011-05-12 17:40 edlothiol Assigned To => edlothiol
2011-05-13 08:36 Napkin Note Added: 0013064
2011-05-13 20:52 edlothiol Note Added: 0013070
2011-05-13 20:52 edlothiol Status new => acknowledged
2011-10-23 14:10 edlothiol Status acknowledged => assigned
2012-02-28 22:26 sydd Note Added: 0017165
2013-04-26 22:00 sydd Tag Attached: webtiles
2013-04-26 22:09 sydd Note Added: 0022464
2013-04-28 13:28 Medar File Added: 0001-Fix-WebTiles-handling-of-keys-made-with-AltGr.patch
2013-04-28 13:28 Medar Tag Attached: patch
2013-04-28 13:29 Medar Note Added: 0022479
2013-04-28 21:24 sydd Note Added: 0022486
2013-04-28 21:56 edlothiol Status assigned => resolved
2013-04-28 21:56 edlothiol Fixed in Branch => 0.13 development branch
2013-04-28 21:56 edlothiol Resolution open => done


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker